#
# spec file for package expect (Version 5.43.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcl tcl-devel tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           expect
URL:            http://expect.nist.gov
BuildRequires:  tcl-devel
Version:        5.43.0
Release:        16.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Development/Tools/Building
License:        distributable, Other License(s), see package
Summary:        A Tool for Automating Interactive Programs
Autoreqprov:    on
Source:         %{name}-%{version}.tar.bz2
Patch0:         expect-CVS.patch.bz2
Patch1:         expect.patch
Patch2:         expect-5.38.0-spawn-43310.patch
Patch3:         expect-warnings.patch

%description
Expect is a tool primarily for automating interactive applications,
such as telnet, ftp, passwd, fsck, rlogin, tip, and more.  Expect
really makes this stuff trivial.  Expect is also useful for testing
these applications.  It is described in many books, articles, papers,
and FAQs.  There is an entire book on it available from O'Reilly.



Authors:
--------
    libes@nist.gov

%debug_package
%prep
%setup -q -n %name-5.43
%patch0 -p1
%patch1
%patch2 -p2
%patch3

%build
%{?suse_update_config:%suse_update_config -f tclconfig}
autoreconf --force --include=tclconfig
CFLAGS="%optflags" \
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--with-tclconfig=%_libdir \
	--mandir=%_mandir \
	--enable-shared
make all
make test

%install
# set the right path to the expect binary...
rm -rf %buildroot
cd example
for f in *; do
	sed -e '1s,^#![^ ]*expectk,#!/usr/bin/wish\npackage require Expect,' \
	    -e '1s,^#![^ ]*expect,#!/usr/bin/expect,' $f > $f.mod
	mv $f.mod $f
	chmod a+x $f
done
cd ..
make DESTDIR=$RPM_BUILD_ROOT install
# Remove some executables and manpages we don't want to ship
rm $RPM_BUILD_ROOT%_prefix/bin/*passwd
rm $RPM_BUILD_ROOT%_mandir/*/*passwd*

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_prefix}/bin/*
%{_includedir}/*
%{_libdir}/libexpect*
%{_datadir}/tcl/expect*
%doc %{_mandir}/man?/*
%doc ChangeLog HISTORY INSTALL FAQ NEWS README
%doc example

%changelog -n expect
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 13 2005 - max@suse.de
- Fixed a typo in tcl.m4 that broke configure with bash 3.1.
- Updated expect-CVS.patch.bz2 .
* Fri Sep 23 2005 - ro@suse.de
- fix some missing declarations
* Tue Jun 14 2005 - max@suse.de
- New version: 5.43 plus patch to current CVS head.
- Disabled building of the static library.
- Moved script library to /usr/share/tcl .
* Tue Jul 13 2004 - max@suse.de
- New version: 5.41.
* Mon Mar 01 2004 - max@suse.de
- Re-enabled the test suite and added expect-send_tty.patch to
  prevent it from crashing.
* Fri Feb 27 2004 - max@suse.de
- New version: 5.40
- Fixed warnings that broke build (expect-warnings.patch).
- Temporarily disabled "make test" to prevent crashes in autobuild
  on some architectures (ppc, s390).
* Fri Oct 31 2003 - max@suse.de
- New version: 5.39
- Buliding as non-root user
* Wed May 28 2003 - ro@suse.de
- package include files and static lib as well
* Tue Jan 28 2003 - max@suse.de
- Fixed path to /usr/bin/write in kibitz.
* Fri Jan 10 2003 - max@suse.de
- Fixed a segfault case during application shutdown, and sent
  the patch to the author.
* Tue Nov 26 2002 - max@suse.de
- New version: 5.38
- Don't build the expectk binary anymore to remove the buildtime
  dependency on Tk and X. Scripts that needed to run in expectk
  before can be fixed by running them in expect and adding a line
  that says "package require Tk" before the first tk command
  is executed.
* Mon Aug 19 2002 - aj@suse.de
- Read all input from invoked program.
* Wed Apr 03 2002 - max@suse.de
- Replaced autoreconf by autoconf because it breaks on
  autoconf-2.53 and was overkill anyways.
* Wed Feb 20 2002 - max@suse.de
- Fixed for lib64-s390x.
* Thu Jan 24 2002 - max@suse.de
- Removed the mkpasswd manpage due to a file name conflict and
  because the respective program is also not included.
* Fri Jan 18 2002 - max@suse.de
- added tk to neededforbuild to prevent linking to static libtk
  which is included in tcl-devel
* Fri Jan 18 2002 - ro@suse.de
- fixed neededforbuild
* Thu Jan 17 2002 - max@suse.de
- New version 5.34.
- Separated this package from the tcl source RPM, because it
  doesn not any longer need the Tcl and Tk sources at hand.
